POST api/medistreamprogramsteptypeapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramStepTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| code | integer |
Required |
|
| name | string |
Required |
|
| active | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "dcc2866f-eb8d-4c2c-a583-cb47dff76111",
"code": 2,
"name": "sample string 3",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>dcc2866f-eb8d-4c2c-a583-cb47dff76111</id> <name>sample string 3</name> </medistream_program_step_type>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"375421cf-ce06-4e88-8bd4-4214d353abe7"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">375421cf-ce06-4e88-8bd4-4214d353abe7</guid>